Subject: Re: FSL Driver load issues with OF

From: Benjamin Zores <[email-masked]>
Date: Mon, 04 May 2009 16:27:53 +0200

Scott Wood wrote:
> On Wed, Apr 29, 2009 at 11:45:20AM +0200, Benjamin Zores wrote:
>   
>> Since the progressive migration of some PPC drivers to use of_platform bus
>> (typically migrating OF parsing from fsl_soc.c to the device probe/init 
>> functions),
>> I'm experiencing driver load issues.
>>
>> Actually, I'm not longer able to load of these drivers as the probe() 
>> function is never called.
>>     
>
> Make sure your board is calling of_platform_bus_probe(), and that the
> devices you're trying to probe are under buses described by the id list.
>   
Thx for spotting this point.
When porting my custom board I indeed had a part of code that returned 
before of_platform_bus_probe()
can be called. Thx again, it now works fine.

Ben